[package]
authors = ["Sebastian Dröge <sebastian@centricular.com>"]
build = "build.rs"
description = "FFI bindings to libgstgl-1.0 (X11 support)"
documentation = "https://gstreamer.pages.freedesktop.org/gstreamer-rs/stable/latest/docs/gstreamer_gl_x11_sys/"
homepage = "https://gstreamer.freedesktop.org"
keywords = ["ffi", "gstreamer", "gnome", "multimedia"]
license = "MIT"
name = "gstreamer-gl-x11-sys"
readme = "README.md"
repository = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs"
version = "0.21.0"
edition = "2021"
rust-version = "1.66"

[package.metadata.system-deps.gstreamer_gl_x11_1_0]
name = "gstreamer-gl-1.0"
version = "1.14"

[package.metadata.system-deps.gstreamer_gl_x11_1_0.v1_16]
version = "1.16"

[package.metadata.system-deps.gstreamer_gl_x11_1_0.v1_18]
name = "gstreamer-gl-x11-1.0"
version = "1.18"

[package.metadata.system-deps.gstreamer_gl_x11_1_0.v1_20]
version = "1.20"

[package.metadata.system-deps.gstreamer_gl_x11_1_0.v1_22]
version = "1.22"

[package.metadata.system-deps.gstreamer_gl_x11_1_0.v1_24]
version = "1.23"

[package.metadata.docs.rs]
features = []

[lib]
name = "gstreamer_gl_x11_sys"

[dependencies]
libc = "0.2"

[dependencies.glib]
package = "glib-sys"
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gst_gl]
package = "gstreamer-gl-sys"
path = "../../sys"

[build-dependencies]
system-deps = "6"

[dev-dependencies]
shell-words = "1.0.0"
tempfile = "3"

[features]
v1_16 = []
v1_18 = ["v1_16"]
v1_20 = ["v1_18"]
v1_22 = ["v1_20"]
v1_24 = ["v1_22"]
